Subject: Re: bug#12339: Bug: rm -fr . doesn't dir depth first deletion yet it

From: "Alan Curry" <[email-masked]>
Date: Fri, 7 Sep 2012 22:34:17 -0500 (GMT+5)

Linda Walsh writes:
> 
> So far no one has addressed when the change in "-f' went in
> NOT to ignore the non-deletable dir "." and continue recursive delete,

In the historic sources I pointed out earlier (4.3BSD and 4.3BSD-Reno) the -f
option is not consulted before rejecting removal of "." so I don't think the
change you're referring to is a change at all. -f never had the effect you
think it should have.

-- 
Alan Curry